---
apiVersion: gcp.mcp.mayo.org/v1alpha1
kind: NetworkClaim
metadata:
  name: my-network
  namespace: devops-test
  labels:
    in-project: "true"
    catalog.gcp.mcp.mayo.org/demo: my-network
spec:
  parameters:
    deletionPolicy: Delete
    description: My test network
---
# apiVersion: gcp.mcp.mayo.org/v1alpha1
# kind: FirewallClaim
# metadata:
#   name: allow-http
#   namespace: replaceme
#   labels:
#     in-project: "true"
# spec:
#   parameters:
#     deletionPolicy: Delete
#     allow:
#     - ports:
#       - "80"
#       - "443"
#       protocol: tcp
#     description: Allow http
#     networkSelector:
#       matchLabels:
#         catalog.gcp.mcp.mayo.org/demo: my-network
#     sourceRanges:
#     - 0.0.0.0/0
#     targetTags:
#     - allow-http
# ---
# apiVersion: gcp.mcp.mayo.org/v1alpha1
# kind: SubnetworkClaim
# metadata:
#   name: my-bastion
#   namespace: replaceme
#   labels:
#     in-project: "true"
#     catalog.gcp.mcp.mayo.org/demo: my-bastion
# spec:
#   parameters:
#     deletionPolicy: Delete
#     description: My subnet
#     ipCidrRange: 10.2.16.0/28
#     networkSelector:
#       matchLabels:
#         catalog.gcp.mcp.mayo.org/demo: my-network
#     region: us-central1
# ---
# apiVersion: iam.gcp.mcp.mayo.org/v1alpha1
# kind: SubnetworkClaim
# metadata:
#   name: my-bastion-admin
#   namespace: replaceme
#   labels:
#     in-project: "true"
# spec:
#   parameters:
#     deletionPolicy: Delete
#     region: us-central1
#     subnetworkSelector:
#       matchLabels:
#         catalog.gcp.mcp.mayo.org/demo: my-bastion
#     member: replaceme
#     role: roles/compute.networkUser
# ---
# apiVersion: gcp.mcp.mayo.org/v1alpha1
# kind: CloudNatClaim
# metadata:
#   name: my-nat
#   namespace: replaceme
#   labels:
#     in-project: "true"
# spec:
#   parameters:
#     deletionPolicy: Delete
#     logConfig:
#     - enable: true
#       filter: ERRORS_ONLY
#     networkSelector:
#       matchLabels:
#         catalog.gcp.mcp.mayo.org/demo: my-network
#     region: us-central1
# ---
# apiVersion: gcp.mcp.mayo.org/v1alpha1
# kind: ServiceConnectionClaim
# metadata:
#   name: my-network-service-connection
#   namespace: replaceme
#   labels:
#     in-project: "true"
# spec:
#   parameters:
#     deletionPolicy: Delete
#     networkSelector:
#       matchLabels:
#         catalog.gcp.mcp.mayo.org/demo: my-network